=== debian/watch ===
# See uscan(1) for format
# Compulsory line, this is a version 3 file
version=3
opts="uversionmangle=s/\.R[0-9]+//;s/([0-9])([a-zA-Z])+/$1~$2/" \
http://download.berlios.de/canorus/canorus_(.*)_source\.tar\.bz2
