=== debian/changelog ===
canorus (0.7+dfsg+svn1256-2) unstable; urgency=low

  * Pass CPPFLAGS to CFLAGS/CXXFLAGS. CMake does not use CPPFLAGS, so
    this is needed to enable the missing hardening flags.
    Thanks to Simon Ruderich <simon@ruderich.org> (Closes: #664168)
  * Compile with -O2 to use -D_FORTIFY_SOURCE=2.
    Thanks to Simon Ruderich <simon@ruderich.org>

 -- Tobias Quathamer <toddy@debian.org>  Tue, 20 Mar 2012 10:44:32 +0100

canorus (0.7+dfsg+svn1256-1) unstable; urgency=low

  * Imported Upstream version 0.7+dfsg+svn1256
  * Refresh debian/patches
  * Use svn checkout for tarball creation
  * Switch to debhelper v9
  * Use machine-readable copyright format v1.0
  * Add git repository URL to debian/control
  * Use all hardening features in DEB_BUILD_MAINT_OPTIONS
  * Update to Standards-Version 3.9.3
  * Remove obsolete download location from watch file

 -- Tobias Quathamer <toddy@debian.org>  Wed, 14 Mar 2012 21:59:20 +0100

canorus (0.7-3) unstable; urgency=low

  * Add "-lz -lpthread" to linker flags, fixes an FTBFS with binutils-gold.
    Thanks to Ilya Barygin <barygin@gmail.com> for the patch. Closes: #554082
  * Use git-buildpackage to handle Debian patches
  * Update years in debian/copyright
  * Clean up debian/rules
  * Switch to debhelper v8
  * Update Standards-Version to 3.9.1

 -- Tobias Quathamer <toddy@debian.org>  Wed, 02 Mar 2011 10:49:02 +0100
