=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: canorus
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 7), cmake, libasound2-dev, libqt4-dev,
+Maintainer: Tobias Quathamer <toddy@debian.org>
+Build-Depends: debhelper (>= 9), cmake, libasound2-dev, libqt4-dev,
  zlib1g-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.3
 Homepage: http://www.canorus.org/
+Vcs-Git: git://anonscm.debian.org/users/toddy/debian/canorus.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/canorus.git;a=summary
 
 Package: canorus
 Architecture: any
