## canorus 0.7.1~rc1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -89,6 +89,6 @@
 ADD_SUBDIRECTORY(src)
 ADD_SUBDIRECTORY(doc)
 
-# Install README, VERSION, LICENSE.GPL and other raw txt files
-INSTALL(FILES AUTHORS DEVELOPERS LICENSE.GPL NEWS README VERSION DESTINATION "${CMAKE_INSTALL_PREFIX}/${CANORUS_INSTALL_DATA_DIR}")
+# Install README, VERSION, COPYING and other raw txt files
+INSTALL(FILES AUTHORS DEVELOPERS COPYING NEWS README VERSION DESTINATION "${CMAKE_INSTALL_PREFIX}/${CANORUS_INSTALL_DATA_DIR}")
