=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	SET(CMAKE_BUILD_TYPE Debug)
 ENDIF(NOT CMAKE_BUILD_TYPE)
 
-SET(CMAKE_C_FLAGS_DEBUG "-O0 -g")
+SET(CMAKE_C_FLAGS_DEBUG "-O0 -g -fstack-protector-all -Wall -Werror -Wuninitialized -Wtype-limits -Wstack-protector")
 SET(CMAKE_C_FLAGS_RELEASE "-O2")
 
 SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG}")
@@ -439,7 +439,3 @@
 	interface/pluginaction.cpp
 	interface/pluginmanager.cpp
 	interface/plugins_swig.cpp
-	scripting/swigpython.cpp
-	scripting/swigruby.cpp
-	${Canorus_Core_MOC_Srcs}
-)
