=== doc/developersguide/Makefile ===
all:
	doxygen canorus.Doxyfile

clean:
	rm -rf html
