=== debian/rules ===
--- 
+++ 
@@ -51,9 +51,6 @@
 # releases.
 #
 # NOTE:
-# Upstream currently suggests to use a checkout from SVN.
-#
-# NOTE:
 # Make sure to *not* use the included zlib sources for linking,
 # but the library provided by Debian.
 #
@@ -61,31 +58,29 @@
 # The only free example score is examples/musicxml/Echigo-Jishi.xml,
 # all other scores do not have a license.
 
-SVN_REVISION=1251
-PACKAGE_VERSION=0.7+dfsg+svn$(SVN_REVISION)
+UPSTREAM_VERSION=0.7.1rc1
+DEBIAN_VERSION=0.7.1~rc1+dfsg
 get-orig-source:
-	rm -rf canorus-$(PACKAGE_VERSION)/
-	mkdir canorus-$(PACKAGE_VERSION)/
-	svn co -r $(SVN_REVISION) https://canorus.svn.sourceforge.net/svnroot/canorus/trunk canorus-$(PACKAGE_VERSION)/
+	rm -rf canorus-$(DEBIAN_VERSION)/
+	tar xaf canorus-$(UPSTREAM_VERSION).tar.bz2
+	mv canorus-$(UPSTREAM_VERSION) canorus-$(DEBIAN_VERSION)
 	# This is needed to comply with DFSG
-	mv canorus-$(PACKAGE_VERSION)/examples/musicxml/Echigo-Jishi.xml canorus-$(PACKAGE_VERSION)/examples/musicxml/backup
-	find canorus-$(PACKAGE_VERSION)/examples/musicxml/ -type f -name "*\.xml" | xargs rm -rf
-	mv canorus-$(PACKAGE_VERSION)/examples/musicxml/backup canorus-$(PACKAGE_VERSION)/examples/musicxml/Echigo-Jishi.xml
-	# Remove subversion information
-	find canorus-$(PACKAGE_VERSION)/ -type d -name "\.svn" | xargs rm -rf
+	mv canorus-$(DEBIAN_VERSION)/examples/musicxml/Echigo-Jishi.xml canorus-$(DEBIAN_VERSION)/examples/musicxml/backup
+	find canorus-$(DEBIAN_VERSION)/examples/musicxml/ -type f -name "*\.xml" | xargs rm -rf
+	mv canorus-$(DEBIAN_VERSION)/examples/musicxml/backup canorus-$(DEBIAN_VERSION)/examples/musicxml/Echigo-Jishi.xml
 	# Remove upstream's debian directory
-	find canorus-$(PACKAGE_VERSION)/ -type d -name "debian" | xargs rm -rf
+	find canorus-$(DEBIAN_VERSION)/ -type d -name "debian" | xargs rm -rf
 	# Remove upstream's building information
-	find canorus-$(PACKAGE_VERSION)/ -type d -name "\.settings" | xargs rm -rf
-	find canorus-$(PACKAGE_VERSION)/ -type d -name "\.externalToolBuilders" | xargs rm -rf
-	find canorus-$(PACKAGE_VERSION)/ -type f -name "\.*project" | xargs rm -rf
+	find canorus-$(DEBIAN_VERSION)/ -type d -name "\.settings" | xargs rm -rf
+	find canorus-$(DEBIAN_VERSION)/ -type d -name "\.externalToolBuilders" | xargs rm -rf
+	find canorus-$(DEBIAN_VERSION)/ -type f -name "\.*project" | xargs rm -rf
 	# Remove files for different platforms
-	find canorus-$(PACKAGE_VERSION)/ -type d -name "windows" | xargs rm -rf
-	find canorus-$(PACKAGE_VERSION)/ -type d -name "macosx" | xargs rm -rf
+	find canorus-$(DEBIAN_VERSION)/ -type d -name "windows" | xargs rm -rf
+	find canorus-$(DEBIAN_VERSION)/ -type d -name "macosx" | xargs rm -rf
 	# Remove zlib directory
-	find canorus-$(PACKAGE_VERSION)/ -type d -name "zlib" | xargs rm -rf
-	tar cjf canorus_$(PACKAGE_VERSION).orig.tar.bz2 canorus-$(PACKAGE_VERSION)/
-	rm -rf canorus-$(PACKAGE_VERSION)/
+	find canorus-$(DEBIAN_VERSION)/ -type d -name "zlib" | xargs rm -rf
+	tar cjf canorus_$(DEBIAN_VERSION).orig.tar.bz2 canorus-$(DEBIAN_VERSION)/
+	rm -rf canorus-$(DEBIAN_VERSION)/
 
 # TODO: Provide a target to re-create the xpm pixmap for the menu
 # This requires gm to be installed
