=== debian/watch ===
version=3
opts="uversionmangle=s/([a-z])/~$1/,dversionmangle=s/\+dfsg//" \
http://sf.net/canorus/canorus-(.*)\.tar\.bz2
